%define debug_package	%{nil}

Name:		phatch
Version:	0.2.7.1
%define subrel	1
Release:	%mkrel 14
Summary:	Photo Batch Processor
License:	GPLv3+
Group:		Graphics/Photography
URL:		http://photobatch.stani.be/
Source:		http://photobatch.stani.be/download/package/%{name}-%{version}.tar.gz
Patch1:		crash_fix.patch
Patch2:		pyexiv2_compat.patch
Patch3:		phatch-pillow.patch
Patch4:		phatch-gtk3-compatibility.patch
Patch5:		phatch-wxpy3.0-compat.patch
Patch6:		phatch-deprecated-fromstring-and-tostring-call.patch
Patch7:		phatch-convert-images-wx.Size_object-to-a-tuple-for-the-PIL-library.patch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(sphinx)
BuildRequires:	desktop-file-utils
BuildRequires:	mlocate
BuildRequires:	gettext

Requires:	findutils
Requires:	python-imaging
Requires:	python-notify
Requires:	wxPythonGTK
Requires:	python-exiv2
Requires:	mlocate

%description
Phatch is a simple to use cross-platform GUI Photo Batch Processor
which handles all popular image formats and can duplicate (sub)folder
hierarchies. Phatch can batch resize, rotate, apply perspective,
shadows, rounded corners, ... and more in minutes instead of hours or
days if you do it manually. Phatch allows you to use EXIF and IPTC
tags for renaming and data stamping. Phatch also supports a console
version to batch photos on webservers.

%package	nautilus-bindings
Summary:	Nautilus binding for Photo Batch Processor
Group:		Graphics/Photography
Requires:	wxPythonGTK
Requires:	nautilus-python
Requires:	%{name} = %{version}-%{release}

%description	nautilus-bindings
This package provides nautilus binding for Photo Batch Processor.

%package	doc
Summary:	Documentation for Photo Batch Processor
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description	doc
This package provides the html documentation for Photo Batch Processor.

#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-0.2.7
%autopatch -p1

# fix documentation path
sed -i -e 's|html/sources|html/_sources|' setup.py

%build
%py2_build

# Building documentation
pushd docs
make html
popd

%install
%py2_install

# for non-executable-script
chmod +x %{buildroot}%{python2_sitelib}/%{name}/{%{name}.py,lib/pyWx/dialogsInspector.py,lib/metadataTest.py,other/surd.py,other/EXIF.py,other/pep8.py}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%{python2_sitelib}/%{name}
%{python2_sitelib}/Phatch-*-py%{python2_version}.egg-info
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data/
%{_datadir}/%{name}/images/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-inspector.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-inspector.png
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_mandir}/man1/%{name}.1.xz
%exclude %{python2_sitelib}/%{name}/lib/linux/nautilusExtension.py*

%files nautilus-bindings
%doc AUTHORS README
%{python2_sitelib}/%{name}/lib/linux/nautilusExtension.py*

%files doc
%{_datadir}/%{name}/docs/


%changelog
* Thu Nov 23 2017 daviddavid <daviddavid> 0.2.7.1-14.1.mga6
+ Revision: 1178980
- add patch to convert images wx.Size object to a tuple for the PIL library (mga#22070)

* Mon Jun 27 2016 daviddavid <daviddavid> 0.2.7.1-14.mga6
+ Revision: 1037737
- add patch to fix two deprecated python calls on fromstring() and tostring()
- revert back python-notify as a Requires
- all docs files should only be in doc subpackage
- doc subpackage should be noarch

* Sat Mar 05 2016 daviddavid <daviddavid> 0.2.7.1-13.mga6
+ Revision: 985917
- add two patches from Fedora to fix gtk3 and wxpy3 compatibility (fixes mga#16758)
- replace python-notify with python-gi as a Requires
- fix new python macros

* Fri Feb 12 2016 umeabot <umeabot> 0.2.7.1-12.mga6
+ Revision: 958268
- Mageia 6 Mass Rebuild

* Tue Sep 15 2015 daviddavid <daviddavid> 0.2.7.1-11.mga6
+ Revision: 879545
- fix empty debug package
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 0.2.7.1-11.mga5
+ Revision: 740975
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.7.1-10.mga5
+ Revision: 727762
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.7.1-9.mga5
+ Revision: 687078
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 daviddavid <daviddavid> 0.2.7.1-8.mga5
+ Revision: 634870
- add Patch3 to fix PIL imports modules since Pillow package (mga#13500)
  * patch come from fedora: https://bugzilla.redhat.com/show_bug.cgi?id=895778

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.7.1-7.mga4
+ Revision: 542811
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.7.1-6.mga4
+ Revision: 498037
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.2.7.1-5.mga3
+ Revision: 375648
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.2.7.1-4.mga3
+ Revision: 326308
- update RPM group

* Mon Jun 25 2012 dams <dams> 0.2.7.1-3.mga3
+ Revision: 263491
- add 'mlocate' as a require

* Wed May 30 2012 dams <dams> 0.2.7.1-2.mga3
+ Revision: 249557
- add two patchs from Fedora to fix mga#6073

* Fri Mar 16 2012 dams <dams> 0.2.7.1-1.mga2
+ Revision: 223570
- clean spec file
- imported package phatch


* Sat Mar 27 2010 John Balcaen <mikala@mandriva.org> 0.2.7.1-1mdv2010.1
+ Revision: 528227
- Fix missing buildrequires
- Update to 0.2.7.1
- fix Filelist
- add a doc subpackage
- add a require on python-exiv2
- minor others changes in spec file

* Sat Jan 02 2010 John Balcaen <mikala@mandriva.org> 0.1.6-2mdv2010.1
+ Revision: 484999
- Add missing requires for wxPythonGTK

* Tue Aug 11 2009 John Balcaen <mikala@mandriva.org> 0.1.6-1mdv2010.0
+ Revision: 414514
- BuildRequires fix
- Add suggest for pyexiv2
- Fixing some requires
- import phatch


* Sat Aug 01 2009 John Balcaen <mikala@mandriva.org>  0.1.6-1mdv2010.0
 - initial import

